/*!
 *	\file		sbgEComCmd.h
 *  \author		SBG Systems (Maxime Renaudet)
 *	\date		16 June	2014
 *
 *	\brief		This file describes the eCom command system.
 *
 *	\section CodeCopyright Copyright Notice 
 *  The MIT license
 *  
 *  Copyright (C) 2007-2020, SBG Systems SAS. All rights reserved.
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a copy
 *  of this software and associated documentation files (the "Software"), to deal
 *  in the Software without restriction, including without limitation the rights
 *  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *  copies of the Software, and to permit persons to whom the Software is
 *  furnished to do so, subject to the following conditions:
 *  
 *  The above copyright notice and this permission notice shall be included in all
 *  copies or substantial portions of the Software.
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *  SOFTWARE.
 */
#ifndef __SBG_ECOM_CMD_H__
#define __SBG_ECOM_CMD_H__

#include <sbgCommon.h>
#include "sbgEComCmdAdvanced.h"
#include "sbgEComCmdAirData.h"
#include "sbgEComCmdDvl.h"
#include "sbgEComCmdEthernet.h"
#include "sbgEComCmdEvent.h"
#include "sbgEComCmdFeatures.h"
#include "sbgEComCmdGnss.h"
#include "sbgEComCmdInfo.h"
#include "sbgEComCmdInterface.h"
#include "sbgEComCmdLicense.h"
#include "sbgEComCmdMag.h"
#include "sbgEComCmdOdo.h"
#include "sbgEComCmdOutput.h"
#include "sbgEComCmdSensor.h"
#include "sbgEComCmdSettings.h"

#endif
